Subject: Re: gs 3.53 and up

From: [email-masked] (joost witteveen)
Date: Sun, 25 Aug 1996 12:09:45 +0200 (MET DST)

> 
> Ervin D. Walter writes ("gs 3.53 and up"):
> ...
> > Now, the wierd parts.  First, these errors don't occur every time, and
> > they don't occur in the same place every time.  Second, the exact save
> > .ps file sent through gs 2.whatever or gs >= 3.53 *compiled with
> > optimizations turned off* works perfectly.
> ...
> 
> A new GCC was released by the FSF recently.  One of the reasons they
> gave was that it could miscompile ghostscript.  ITYSBT.

Fortunately, your gs maintainer (me) is subscribed to the gcc2 mailing
list, and, to the best of my knowledge, the bug was avaided in
the gs-3.53 sources by redefining "const".

I've even put a note about this in /usr/doc/gs/ somewhere (forget
what file).

Oh, and I've installed David's gcc-2.7.2.1 now, so all gs packages
released since last week or so are compiled "OK".

As far as I'm aware, Ervin himself is now also satisfied that it's
his processor that was at fault, in this case (as I guessed).

-- 
joost witteveen
            [email-masked]
          [email-masked]
--
Use Debian/GNU Linux!